package net.knarcraft.placeholdersigns.command;

import net.knarcraft.placeholdersigns.PlaceholderSigns;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabExecutor;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.ArrayList;
import java.util.List;

/**
 * A command for viewing lines on a sign
 */
public class ViewSignCommand implements TabExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender commandSender, @NotNull Command command, @NotNull String label,
                             @NotNull String[] args) {
        if (!(commandSender instanceof Player player)) {
            return false;
        }

        // Register the sign view request
        PlaceholderSigns.getInstance().addSignViewRequest(player);

        commandSender.sendMessage("Please click the sign you want to view.");
        return true;
    }

    @Nullable
    @Override
    public List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label,
                                      @NotNull String[] args) {
        return new ArrayList<>();
    }
}
